﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{7220686B-A79D-4048-BF76-2D9793488331}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>RimOverhaul</RootNamespace>
    <AssemblyName>RimOverhaul</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>false</DebugSymbols>
    <DebugType>none</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\..\Assemblies\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="0Harmony, Version=1.2.0.1, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\Assemblies\0Harmony.dll</HintPath>
    </Reference>
    <Reference Include="Assembly-CSharp">
      <HintPath>.\Assembly-CSharp.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="UnityEngine">
      <HintPath>.\UnityEngine.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Biomes\BiomeDefOfLocal.cs" />
    <Compile Include="Biomes\BiomeWorker_IcePlanet.cs" />
    <Compile Include="Biomes\TerrainDefOfLocal.cs" />
    <Compile Include="Events\GameConditionDefOfLocal.cs" />
    <Compile Include="Events\GameCondition_DenseAtmosphere.cs" />
    <Compile Include="Events\GameCondition_Endlessday.cs" />
    <Compile Include="Events\GameCondition_HeavyHail.cs" />
    <Compile Include="Events\GameCondition_WetAir.cs" />
    <Compile Include="Events\GameCondition_HeavyAir.cs" />
    <Compile Include="Events\GameCondition_IceStorm.cs" />
    <Compile Include="Events\GameCondition_LeanAtmosphere.cs" />
    <Compile Include="Events\GameCondition_NoSun.cs" />
    <Compile Include="Events\GameCondition_RadiationFon.cs" />
    <Compile Include="Events\GameCondition_SuperHeatWave.cs" />
    <Compile Include="Events\IncidentDefOfLocal.cs" />
    <Compile Include="Events\IncidentWorker_BoulderMassHit.cs" />
    <Compile Include="Events\IncidentWorker_Disease_NeurofibromatousWorms.cs" />
    <Compile Include="Events\IncidentWorker_Disease_Fibrodysplasia.cs" />
    <Compile Include="Events\IncidentWorker_MechanoidPortalStart.cs" />
    <Compile Include="Events\IncidentWorker_SuperHeatWave.cs" />
    <Compile Include="Events\IncidentWorker_SuperNova.cs" />
    <Compile Include="GenerateData\GenerateRules.cs" />
    <Compile Include="GenerateData\Harmony_WorldGenStep_Terrain.cs" />
    <Compile Include="Hediffs\HediffCompProperties_NeuroWormsTick.cs" />
    <Compile Include="Hediffs\HediffCompProperties_FibroTick.cs" />
    <Compile Include="Hediffs\HediffComp_NeuroWormsTick.cs" />
    <Compile Include="Hediffs\HediffComp_FibroTick.cs" />
    <Compile Include="Hediffs\HediffDefOfLocal.cs" />
    <Compile Include="Jobs\JobGiver_IceMadnessWalk.cs" />
    <Compile Include="Planets\FactionDataOnPlanet.cs" />
    <Compile Include="Planets\MineResourceData.cs" />
    <Compile Include="Planets\PlanetHillsData.cs" />
    <Compile Include="Planets\PlanetsDefOf.cs" />
    <Compile Include="Planets\PlanetDef.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Events\GameCondition_MeteorIncoming.cs" />
    <Compile Include="RimOverhaul.cs" />
    <Compile Include="RulesOverride.cs" />
    <Compile Include="Things\Building_IceWall_Comp.cs" />
    <Compile Include="Things\Building_MechanoidTeleport.cs" />
    <Compile Include="Things\Building_MechanoidTeleport_Generator.cs" />
    <Compile Include="Things\HarmonyPatches_Things.cs" />
    <Compile Include="Things\PawnKindDefOfLocal.cs" />
    <Compile Include="Things\CustomPlant.cs" />
    <Compile Include="Things\Plant_IceMushroom.cs" />
    <Compile Include="Things\StuffCategoryDefOfLocal.cs" />
    <Compile Include="Things\ThingDefOfLocal.cs" />
    <Compile Include="Thoughts\MentalStateDefOfLocal.cs" />
    <Compile Include="Thoughts\MentalStateWorker_IceMadness.cs" />
    <Compile Include="Thoughts\MentalState_IceMadness.cs" />
    <Compile Include="Thoughts\ThoughtDefOfLocal.cs" />
    <Compile Include="Thoughts\ThoughtWorker_SupernovaSight.cs" />
    <Compile Include="Utility\Utility.cs" />
    <Compile Include="Weather\WeatherDefOfLocal.cs" />
    <Compile Include="Weather\WeatherOverlay_HardFog.cs" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="ScenParts\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>